<?xml version="1.0"?>
<schema version="0.2">
  <table name="partprog">
    <field name="id" type="I">
      <KEY/>
          <NOTNULL/>
    </field>
    <field name="name" type="C" size="255">
          <NOTNULL/>
    </field>
    <field name="company" type="C" size="100">
    </field>
    <field name="account" type="C" size="100">
    </field>
    <field name="pw" type="C" size="100">
    </field>
    <field name="url" type="C" size="200">
    </field>
    <field name="email" type="C" size="200">
    </field>
    <field name="description" type="X">
    </field>
    <field name="ispublic" type="I">
          <NOTNULL/>
      <DEFAULT value="0"/>
    </field>
    <field name="owner" type="I">
          <NOTNULL/>
    </field>
    <field name="lu_user" type="I">
          <NOTNULL/>
    </field>
    <field name="lu_date" type="T">
          <NOTNULL/>
    </field>
  </table>

  <mgw>
	<moduleDefinition>
		<module>
			<module_type>3</module_type>
			<name>partprog</name>
			<version>0.5</version>
			<date>2004-02-13</date>
			<author>(Marc Logemann)</author>
			<email></email>
			<description>Module for managing URLs and websites, mainly for storing sites where you need a password like partnersites or shops.</description>
			<compatibility>0.7.2</compatibility>
			<secure>true</secure>
		</module>
	</moduleDefinition>
  </mgw>
</schema>

